{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "DECLARE Function Get_Property, RowExists, Msg, Dialog_Box, NextKey\r\nDECLARE SUBROUTINE Start_Window, obj_AppWindow\r\n\r\n$INSERT Msg_Equates\r\n\r\nNCRNo = Get_Property(@WINDOW:'.NCR_NO','DEFPROP')\r\n\r\nIF NCRNo NE '' THEN\r\n\tIF RowExists( 'NCR', NCRNo ) THEN\r\n\t\tQbf = Get_Property( @WINDOW, 'QBFLIST' )\r\n\t\tIF Qbf THEN\r\n\t\t\tCONVERT @FM TO @VM IN Qbf\r\n\t\tEND ELSE\r\n\t\t\tQbf = ''\r\n\t\tEND\r\n\t\t\r\n        NoteID = NextKey('NOTES')\r\n        obj_AppWindow('ViewRelated','NOTE_MESSAGE':@RM:NoteID:@RM:'NCR':@FM:NCRNo)\r\n       \r\n\tEND ELSE\r\n\t\tMsgInfo = ''\r\n\t\tMsgInfo<mtext$> = 'You must save this NCR first...' \r\n\t\tMsgInfo<micon$> = 'H'\r\n\t\tVoid = msg( '', MsgInfo )\r\n\tEND\r\nEND ELSE\r\n\tMsgInfo = ''\r\n\tMsgInfo<mtext$> = 'You must have an NCR present...' \r\n\tMsgInfo<micon$> = 'H'\r\n\tVoid = msg( '', MsgInfo )\r\nEND\r\n\r\nRETURN 0"
        }
    }
}